curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/location/attribute \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/location/attribute"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/location/attribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "622786ae0bdb19221a24fb61",
"code": "isBopis",
"name": "Is Bopis",
"description": "To check the status of the BOPIS (Buy-Online_Pickup-In-Store)",
"type": "BOOLEAN",
"required": true
}
]{
"message": "Invalid payload or parameter"
}{
"message": "Entered code is a duplicated code"
}{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Get all location attributes
Retrieves attributes for all the locations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Response
OK
Location attribute ID that is generated automatically for the location
"622786ae0bdb19221a24fb61"
Location attribute code
"isBopis"
Location attribute name
"Is Bopis"
Detailed description about attribute
"To check the status of the BOPIS (Buy-Online_Pickup-In-Store)"
Data type of an attribute
BOOLEAN, INTEGER, NUMBER, STRING Flag to define the attribute as mandatory while creating location. If it's configured as true, this attribute is needed while creating location
true
Was this page helpful?
